Subject: Re: 2.6.36-rc7: net/bridge causes temporary network I/O lockups [2]

From: Patrick Ringl <[email-masked]>
Date: Mon, 18 Oct 2010 22:37:40 +0200

On 10/18/2010 06:16 PM, Herbert Xu wrote:
> On Sat, Oct 16, 2010 at 08:15:31PM +0200, Patrick Ringl wrote:
>    
>> Hi,
>>
>> okay I narrowed down the issue. I watched all function calls of the
>> 'bridge' module with the help of a small systemtap probe of mine. I
>> first traced a timespan where the issue did not occur, then one where it
>> did and composed an intersection of these two:
>>      
> I can't reproduce this problem here so I'll need your help to
> track it down.
>
> Can you see if you can relate the lock-ups to specific events
> such as a particular packet being sent through the bridge?
>    
The problem is definitely somewhere in the 2.6.34 commit regarding IGMP 
snooping (when disabling it, everything works). I have attached a 
tcpdump log of data coming through the bridge and data coming through an 
attached port (eth1). The lockups are easily spotted, since I use mtr to 
constantly ping the problematic machine, and there aren't any 
incoming/outgoing packets during the lockup.
> If we can recreate the problem on demand that that helps us to
> find the root cause.
>
> You mentioned that you took packet dumps on the system.  If you
> can show us the packets through the bridge and its ports when
> the problem occurs that would be great.
>
> Thanks,
>    
Anything else I could possibly provide? :-)

regards,
Patrick